Bug Hunting Session
Bug 81341 - DOCX: Preservation: Fields:Date And Time:Edit Time is converted to plain text after RT
Summary: DOCX: Preservation: Fields:Date And Time:Edit Time is converted to plain text...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks: DOCX-Fields
  Show dependency treegraph
 
Reported: 2014-07-14 11:40 UTC by pallavi.jadhav
Modified: 2018-10-18 02:49 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
EditTime : Arabic,Alphabetic,roman,ROMAN,CardText,OrdText,Hex,DollarText,Upper,Lower,FirstCapital,TitleCase (12.85 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-07-14 11:42 UTC, pallavi.jadhav
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pallavi.jadhav 2014-07-14 11:40:23 UTC
Steps to reproduce :
1] Open attached document in LO
2] Perform save_as to DOCX
3] Open saved file in MS Office-2010

Current behavior :
Formats of Edit Time are not getting preserved after RT.
Edit Time field is converted to plain text after RT.

Expected behavior :
Edit Time should be preserved after RT.

Steps to add Edit Time in DOCX :
Insert -> Quick Parts -> Field -> EditTime
add Edit Time

XML difference :
In document.xml,

Original file :
<w:fldSimple w:instr=" EDITTIME \* roman \* MERGEFORMAT ">
    <w:r>
        <w:rPr>
        <w:noProof />
        </w:rPr>
        <w:t>
          i
        </w:t>
    </w:r>
</w:fldSimple>
<w:r>
    <w:t xml:space="preserve">
        -Roman
    </w:t>
</w:r>

In RT file :
<w:r>
    <w:rPr />
    <w:t>
        DocInformation:Total editing time
    </w:t>
</w:r>
<w:r>
<w:rPr />
    <w:t xml:space="preserve">
    </w:t>
</w:r>
<w:r>
<w:rPr />
<w:t>
    -Roman
</w:t>
</w:r>
Comment 1 pallavi.jadhav 2014-07-14 11:42:44 UTC
Created attachment 102768 [details]
EditTime : Arabic,Alphabetic,roman,ROMAN,CardText,OrdText,Hex,DollarText,Upper,Lower,FirstCapital,TitleCase
Comment 2 Kevin Suo 2014-07-15 04:41:18 UTC
added Bug 5988 as see also.
In fact there are many other fields become field names when export as DOCX.
Comment 3 Jorendc 2014-07-15 11:59:37 UTC
Synerzip -> NEW
Comment 4 Commit Notification 2014-08-01 11:33:49 UTC
Pallavi Jadhav committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b38b124b64b7a1f6529799552f6e89360edd8280

fdo#81341 : DOCX: EditTime is not geting preserved after RT



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Kevin Suo 2014-08-01 14:51:56 UTC
Will the fix of this bug also fix bug 59886?
Comment 6 Jorendc 2014-09-01 08:30:47 UTC
Fix applied + Unit test -> RESOLVED FIXED
Comment 7 Kevin Suo 2014-09-01 08:37:55 UTC
It will be really appreciated if someone backport this to version 4.3.
Comment 8 Jorendc 2014-09-01 08:40:10 UTC
dangit, I think I did close this too soon. Edittime is fixed, not the date-field yet. Sorry for the noise.
Comment 9 Matthew Francis 2015-01-16 13:54:53 UTC
Other bugs on the inability to save fields in .doc/.docx have been closed as duplicates of bug 67207 - but I'll skip this one as it's assigned
Comment 10 tommy27 2015-11-03 06:27:03 UTC
@pallavi.jadhav

are you still working on this bug?
if NO, please revert "Assigned to" to default
Comment 11 Xisco Faulí 2016-09-14 22:43:55 UTC
Hi Pallavi,
I'm setting this ticket back to NEW as it has been inactive for more than 3
months.
Feel free to assign it back to you if you're still working on this.
Regards
Comment 12 QA Administrators 2018-10-18 02:49:33 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug